Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 454556 - sys-apps/baselayout: Include group "dialout" to match upstream udev
Summary: sys-apps/baselayout: Include group "dialout" to match upstream udev
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] baselayout (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 463376
  Show dependency tree
 
Reported: 2013-01-29 16:21 UTC by Samuli Suominen
Modified: 2014-01-22 06:15 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen gentoo-dev 2013-01-29 16:21:20 UTC
Please include group "dialout" in the baselayout. 

It's what upstream udev is using for eg. /dev/ttyUSB0, instead of "uucp" which we currently use through `sed` in udev's ebuild.
Comment 1 William Hubbs gentoo-dev 2013-03-26 23:23:33 UTC
Is there any way someone can check other distros to see if dialout and
uucp both exist?
The last time I checked (debian I think) I don't think I remember seeing
a uucp group at all, but dialout is the new group.

If that's the case, how would we want this to happen so we could remove the
uucp group on live systems?
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-03-27 22:03:42 UTC
From a quick glance:

- something added the dialout group to my system, possibly long ago. I don't see it in baselayout, yet I had it before adding enewgroup to systemd.

- app-mobilephone/smsclient installs files owned by that group. It doesn't in any way enforce creation of that group.

- net-misc/asterisk creates the group with GID 20. Not sure if the intent is the same there.

- net-dialup/wvdial states 'Users have to be member of the dialout AND the uucp group'. No idea why.
Comment 3 SpanKY gentoo-dev 2013-05-06 01:31:04 UTC
uucp has been around for much longer.  dialout served pretty much the same purpose as uucp.  it was dropped during baselayout-1.13 development 6 years ago:
http://sources.gentoo.org/baselayout?view=revision&revision=2445

redhat was making the same change with their migration to the makedev package.

that's why a lot of people have dialup still on their systems
Comment 4 William Hubbs gentoo-dev 2013-05-07 02:12:04 UTC
Can you advise us on udev/systemd then?
Since they require it, should we be creating it, or should we edit the
rules so that they use the uucp group?
Comment 5 Samuli Suominen gentoo-dev 2014-01-22 06:15:06 UTC
Based on...

https://bugs.gentoo.org/show_bug.cgi?id=463376#c5
https://bugs.gentoo.org/show_bug.cgi?id=454556#c3

...i'm closing this as WONTFIX. Seems like the general consensus is that 'uucp' is preferred at this time.